<?php

$site = env('APP_URL', '');
$storage_url = env('STORAGE_PATH', '');
$api_version = env('API_VERSION', 'v1');
return [
    'APP_NAME' => env('APP_NAME', 'Ressto'),
    'sub_url'   => env('SUB_URL',''),
    'Base_V' => "$site/",
    'Jquery' => "$site/jquery/",
    'api_base_v' => env('API_URL', ''),
    'api_url' => env('API_URL', '').'/api/'.$api_version.'/',
    'socket_url'    =>  env('SOCKET_URL',''),

    'JS' => "{$site}/js/",
    'CSS' => "{$site}/css/",

    'ios_notification_url' => env('IOS_NOTIFICATION_URL', 'https://api.push.apple.com'),

    'storage_path'  =>  "$storage_url",
    'storage_type'  =>  env('STORAGE_TYPE','aws'),
    'storage_bucket'    => env('STORAGE_BUCKET',''),

    'foodicon' => "{$storage_url}media/foodapp/original/",
    'temp_img_path' =>  "{$storage_url}media/Temp/original",
    'OrderImage' => "{$storage_url}media/orderimage/original/",
    'SENDGRID_API_KEY' => env('SENDGRID_API_KEY', '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'),
    'client_permissions' => [
        "dashboard_read" => "Dashboard Read",
        "order_read" => "Order Read",
        "order_write" => "Order Write",
        "dashboard_driver_read" => "Dashboard Driver Read",
        "eagle_view_read" => "Eagle view Read",
        "merchant_read" => "Merchant Read",
        "merchant_write" => "Merchant Write",
        "driver_read" => "Driver Read",
        "driver_write" => "Driver Write",
        "customer_read" => "Customer Read",
        "customer_write" => "Customer Write",
        "location_read" => "Location Read",
        "location_write" => "Location Write",
        "delivery_zone_read" => "Delivery Zone Read",
        "delivery_zone_write" => "Delivery Zone Write",
        "promo_code_read" => "Promo Code Read",
        "promo_code_write" => "Promo Code Write",
        "banner_read" => "Banner Read",
        "banner_write" => "Banner Write",
        "vendor_finance_read" => "Vendor Finance Read",
        "vendor_finance_write" => "Vendor Finance Write",
        "driver_finance_read" => "Driver Finance Read",
        "driver_finance_write" => "Driver Finance Write",
        "reports_read" => "Reports Read",
        "reports_write" => "Reports Write",
        "category_read" => "Category Read",
        "category_write" => "Category Write",
        "cuisine_read" => "Cuisine Read",
        "cuisine_write" => "Cuisine Write",
        "content_pages_read" => "Content Pages Read",
        "content_pages_write" => "Content Pages Write",
        "faq_read" => "FAQ Read",
        "faq_write" => "FAQ Write",
        "configuration_read" => "Configuration Read",
        "configuration_write" => "Configuration Write",
        "layout_read" => "Layout Read",
        "layout_write" => "Layout Write",
        "user_access_read" => "User & Access Read",
        "user_access_write" => "User & Access Write",
        "terminology_read" => "Terminology Read",
        "terminology_write" => "Terminology Write",
        "logs_read" => "Logs Read",
        "logs_write" => "Logs Write",
        "call_center_read" => "Call Center Read",
        "call_center_write" => "Call Center Write",
        "analytics_read" => "Analytics Read",
        "analytics_write" => "Analytics Write",
        "email_template_read" => "Email Template Read",
        "email_template_write" => "Email Template Write",
        "chat_read" => "Chat Read",
        "chat_write"=> "Chat Write",
        "tag_read" => "Tag Read",
        "tag_write" => "Tag Write",
        "pos_read" => "Pos Read",
        "pos_write" => "Pos Write",
        "send_notification_read" => "Send Notification Read",
        "send_notification_write" => "Send Notification Write"
    ],
    'apple_push_url' =>  'ssl://gateway.push.apple.com:2195',
    'notification_keys' => [
        'confirmed'  =>  'Order_InKitchen'
    ],
    'success'   =>  200,
    'unsuccess' =>  101,
    'failed'    =>  500,
    'frommail' => env('FROM_EMAIL','support@deonde.co'),
    "per_page" => 10
];
